%def_disable static

Name: libxklavier
Version: 3.2
Release: alt1

Summary: libXklavier library
Summary (ru_RU.UTF-8): Библиотека libXklavier
License: GPL/LGPL
Group: System/Libraries
Url: http://www.freedesktop.org/wiki/Software/LibXklavier
Source: http://osdn.dl.sourceforge.net/sourceforge/gswitchit/%name-%version.tar.bz2

# From configure.in
%define libxml_ver 2.0.0
%define glib_ver 2.6.0

# From configure.in
BuildPreReq: gtk-doc libX11-devel libxkbfile-devel
BuildPreReq: libxml2-devel >= %libxml_ver
BuildPreReq: glib2-devel >= %glib_ver

%description
This library allows you simplify XKB-related development.

%description -l ru_RU.UTF-8
Библиотека функций упрощающая использование XKB при разработке

%package devel
Summary: Libraries, includes, etc to develop libxklavier applications
Summary (ru_RU.UTF-8): Файлы заголовков для libxklavier
Group: Development/C
Requires: %name = %version-%release

%description devel
Libraries, include files, etc you can use to develop libxklavier applications.

%description -l ru_RU.UTF-8 devel
Библиотеки, файлы заголовков и т.д., необходимые для использования libxklavier

%define _gtk_docdir %_datadir/gtk-doc/html

%prep
%setup -q

%build
%__autoreconf
%configure \
	    %{subst_enable static} \
        --enable-doxygen \
	    --with-xkb-base=%_datadir/X11/xkb \
	    --with-xmodmap-base=%_datadir/X11/xkb/rules \
	    --with-xkb-default-ruleset=xorg
%make_build

%install
%makeinstall

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%_datadir/%name
%doc AUTHORS ChangeLog CREDITS NEWS README

%files devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%_gtk_docdir/%name

%changelog
* Tue Apr 03 2007 Alexey Rusakov <ktirf@altlinux.org> 3.2-alt1
- new version 3.2 (with rpmrb script)

* Wed Oct 18 2006 Alexey Rusakov <ktirf@altlinux.ru> 3.1-alt1
- new version 3.1 (with rpmrb script)

* Thu Aug 31 2006 Alexey Rusakov <ktirf@altlinux.ru> 3.0-alt1
- new version 3.0 (with rpmrb script)

* Sun Jul 30 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.91-alt1
- new version 2.91 (with rpmrb script)
- updated dependencies
- spec cleanup
- development documentation has been moved back to gtk-doc directory, as intended.

* Sun Mar 12 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.2-alt1
- new version 2.2. (with rpmrb script)

* Sat Jan 14 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.1-alt1
- 2.1, thanks to shrek@ for the spec updates.

* Mon Mar 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.0-alt1
- 2.0

* Mon Feb 07 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.14-alt1
- 1.14.

* Wed Oct 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.04-alt1
- 1.04

* Fri Apr 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.02-alt1
- 1.02

* Thu Mar 18 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.00-alt1
- 1.00

* Mon Feb 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.97-alt1
- 0.97

* Thu Dec 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.95-alt2
- do not package .la files.

* Fri Oct 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.95-alt1
- 0.95

* Fri Sep 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.90-alt2
- rebuild.

* Thu Jul 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.90-alt1
- 0.90

* Thu Jun 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.80-alt1
- 0.80

* Wed May 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.71-alt2
- build current cvs snapshot.

* Sat May 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.71-alt1
- 0.71

* Fri May 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7-alt1
- 0.7

* Thu Jan 30 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6-alt1
- 0.6

* Fri Dec 20 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.5-alt1
- 0.5

* Tue Nov 19 2002 Vyacheslav Dikonov <slava@altlinux.ru> 0.4-alt1
- ALTLinux build
